Subject: GBC Contact Info
From: "Lennon, Tabitha" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 3 Mar 2014 13:11:41 -0600

Hi Mike,

Thank you for taking the time to speak with me and get me up to date with what has been going on with your laminator and service agreement. I have reached out to find out what is going on over here in the situation. I will let you know what I find out so we can get you a service agreement as soon as possible.

Have a great day!

Tabitha Lennon
Account Manager
GBC -  An ACCO Brands company
[email-masked]<mailto:[email-masked]>
Toll-free: 800-723-4000 option 8
Direct: 847-796-4948
Fax: 877-549-7881

To place a supply order: contact GBC at 800-723-4000

Or visit us online:
http://gbcconnect.com/

Please consider the environment before printing this email.